%define         videodev      /dev/video0

Name:           wmwebcam
Version:        0.3.5
Release:        %mkrel 14
Summary:        A dock application for your webcam
License:        GPLv2
Group:          Video/Players

URL:            https://www.dockapps.net/wmwebcam
Source0:        https://repo.or.cz/dockapps.git/tree/HEAD:/wmwebcam/%{name}-%{version}.tar.gz
#old legacy v4l1 prog, patch to use libv4l1
Patch0:         %{name}-0.3.5-libv4l1.patch
#clean the perl script: removed call to "stamp" (old)
Patch1:         %{name}-0.3.5-script.patch
Patch2:         %{name}-fix-build-with-gcc14.patch


BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  libv4l-devel
Requires:       openssh-clients
Requires:       perl
Requires:       grep


%description
Wmwebcam is yet another dockapp for WindowMaker, or any desktop
environment that handles dock applications, that streams your webcam
into a small docked window. Check the perl script
"%{_bindir}/%{name}.pl" if you want to publish the captured images
with your favorite web server.


%prep
%setup -q
%autopatch -p0


%build
%make_build \
      CFLAGS="%optflags -DVIDEO_DEV='\"%videodev\"'" \
      LDFLAGS="%ldflags" LIBS="-lX11 -lXext -lm -ljpeg -lv4l1"


%install
install -D -m 755 %{name} %{buildroot}%{_bindir}/%{name}
install -D -m 755 %{name}.pl %{buildroot}%{_bindir}/%{name}.pl

%files
%doc COPYING
%{_bindir}/%{name}
%{_bindir}/%{name}.pl




%changelog
* Mon Jun 30 2025 umeabot <umeabot> 0.3.5-14.mga10
+ Revision: 2230281
- Mageia 10 Mass Rebuild

* Tue Nov 26 2024 ns80 <ns80> 0.3.5-13.mga10
+ Revision: 2118988
- fix building with GCC14

* Mon Apr 04 2022 umeabot <umeabot> 0.3.5-12.mga9
+ Revision: 1843113
- Mageia 9 Mass Rebuild

* Sun Mar 22 2020 eatdirt <eatdirt> 0.3.5-11.mga8
+ Revision: 1558899
- Update urls

* Fri Feb 14 2020 umeabot <umeabot> 0.3.5-10.mga8
+ Revision: 1518224
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.3.5-9.mga7
+ Revision: 1301710
- Mageia 7 Mass Rebuild

* Fri Mar 10 2017 akien <akien> 0.3.5-8.mga6
+ Revision: 1091639
- Rebuild for v4l-utils 1.12.3

* Tue Feb 02 2016 umeabot <umeabot> 0.3.5-7.mga6
+ Revision: 930927
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3.5-6.mga5
+ Revision: 743464
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.5-5.mga5
+ Revision: 690357
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.3.5-4.mga4
+ Revision: 520163
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.3.5-3.mga3
+ Revision: 385813
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 eatdirt <eatdirt> 0.3.5-2.mga3
+ Revision: 315384
- Rebuild for mga3, update group

* Sun Jan 15 2012 eatdirt <eatdirt> 0.3.5-1.mga2
+ Revision: 196518
- imported package wmwebcam


* Sun Jan 15 2012 Chris Ringeval <dirteat@gmail.com> 0.3.5-1.mga2
- Import wmwebcam (patch to get it works with libv4l1)
